var cm = require("sdk/context-menu");
var selection = require("sdk/selection");
var tabs = require("sdk/tabs");
var widgets = require("sdk/widget");

var selectedText;

function selectionChanged(event) {
  selectedText = selection.text;
}

selection.on("select", selectionChanged);

function openArticle() {
  console.log(selectedText);
  tabs.open("http://de.wikipedia.org/w/index.php?search=" + selectedText);
}

cm.Item({
  label: "Wikipediaartikel aufrufen",
  context: cm.SelectionContext(),
  contentScript: 'self.on("click", self.postMessage);',
  onMessage: openArticle
});

var widget = widgets.Widget({
  id: 'wikipedia-icon',
  label: 'Wikipedia',
  content: '<b style="font-family:Times">W</b>',
  onClick: openArticle
});
